<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryHashDatabaseConfig Constructor
SecondaryHashDatabaseConfig Class See Also Send Feedback

Instantiate a new SecondaryHashDatabaseConfig object

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#

    public SecondaryHashDatabaseConfig(
    	Database PrimaryDB,
    	SecondaryKeyGenDelegate KeyGenFunc
    )

Visual Basic (Declaration)

    Public Sub New ( _
    	PrimaryDB As Database, _
    	KeyGenFunc As SecondaryKeyGenDelegate _
    )

Visual C++

    public:
    SecondaryHashDatabaseConfig(
    	Database^ PrimaryDB,
    	SecondaryKeyGenDelegate^ KeyGenFunc
    )

#### Parameters

PrimaryDB
  Type: BerkeleyDB..::.Database

KeyGenFunc
  Type: BerkeleyDB..::.SecondaryKeyGenDelegate

# See Also

SecondaryHashDatabaseConfig Class
BerkeleyDB Namespace